All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
sse_blas.hpp File Reference

optimized BLAS functions using SSE2 and SSE3 intrinsic functions More...

`#include <cstddef>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::host_based
| Holds all compute kernels with conventional host-based execution (buffers in CPU RAM).
| viennacl::linalg::host_based::detail
| Helper functions for the host-based linear algebra backend.

## Functions

template<class T >
void | viennacl::linalg::host_based::_axpy (const T *, T *, vcl_size_t, T)
template<class T >
T | viennacl::linalg::host_based::_dot (vcl_size_t, const T *, const T *)
template<class T >
T | viennacl::linalg::host_based::_dotc (vcl_size_t, const T *, const T *)
template<class T >
void | viennacl::linalg::host_based::_swap (vcl_size_t, T *, T *)
template<class T >
void | viennacl::linalg::host_based::_copy (vcl_size_t, T *, T *)
template<class T >
T | viennacl::linalg::host_based::_nrm2 (const T *, vcl_size_t)
template<class T >
T | viennacl::linalg::host_based::detail::conjIfComplex (T x)

## Detailed Description

optimized BLAS functions using SSE2 and SSE3 intrinsic functions

Contributed by Alex Christensen.

Definition in file sse_blas.hpp.